<?php

use Behat\Behat\Context\SnippetAcceptingContext;
use Behat\Testwork\Hook\Scope\BeforeSuiteScope;
use Drupal\DrupalExtension\Context\RawDrupalContext;

/**
 * Behat steps for testing the Entity Change Notifier module.
 *
 * @codingStandardsIgnoreStart
 */
class EntityChangeNotifierContext extends RawDrupalContext implements SnippetAcceptingContext {

  /**
   * Install Entity Change Notifier.
   *
   * @BeforeSuite
   */
  public static function prepare(BeforeSuiteScope $scope) {
    /** @var \Drupal\Core\Extension\ModuleHandler $moduleHandler */
    $moduleHandler = \Drupal::service('module_handler');
    if (!$moduleHandler->moduleExists('entity_change_notifier')) {
      \Drupal::service('module_installer')->install(['entity_change_notifier']);
    }
  }

  /**
   * @When I open the Destinations overview
   */
  public function iOpenTheDestinationsOverview() {
    $this->visitPath('admin/config/services/entity-change-notifier/destination');
  }

}
